> ## Documentation Index
> Fetch the complete documentation index at: https://docs.solvice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fill Job Status

> Check whether the job is solved or not.



## OpenAPI

````yaml fill GET /v2/fill/jobs/{id}/status
openapi: 3.1.0
info:
  description: |2-

                Welcome to the Solvice API! You can use our API to access Solvice API endpoints,
                which can get information on your solved jobs,
                their statuses and of course post new solve jobs.
            
  title: FILL API
  version: '2.0'
servers:
  - url: https://api.solvice.io
    description: Production API
security:
  - apikey: []
tags:
  - name: FILL API
    description: FILL API
paths:
  /v2/fill/jobs/{id}/status:
    get:
      tags:
        - Info
      summary: Status
      description: Check whether the job is solved or not.
      operationId: getFillStatus
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SolviceStatusJob'
components:
  schemas:
    SolviceStatusJob:
      type: object
      required:
        - id
      description: Status of a solve job
      title: ''
      properties:
        id:
          type: string
          description: Job ID
        status:
          type:
            - string
            - 'null'
          enum:
            - QUEUED
            - SOLVING
            - SOLVED
            - ERROR
          examples:
            - SOLVING
          description: Status of the solve.
        solveDuration:
          type:
            - integer
            - 'null'
          format: int32
          description: Duration of the solve in seconds
        errors:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Message'
          description: List of errors
        warnings:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/Message'
          description: List of warnings
    Message:
      type: object
      required:
        - message
      description: Error or warning message
      properties:
        code:
          type: integer
          format: int32
          description: Error code
        message:
          type: string
          description: Error message
  securitySchemes:
    apikey:
      type: apiKey
      description: Api Key based authentication (apikey)
      name: Authorization
      in: header

````